javax.persistence.criteria

## Interface CriteriaBuilder.In<T>

All Superinterfaces:
  Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.In<T>
    extends Predicate

Interface used to build in predicates.

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate

`Predicate.BooleanOperator`

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression<T>` `getExpression()` Return the expression to be tested against the list of values.
`CriteriaBuilder.In<T>` `value(Expression<? extends T> value)` Add to list of values to be tested against.
`CriteriaBuilder.In<T>` `value(T value)` Add to list of values to be tested against.

### Methods inherited from interface javax.persistence.criteria.Predicate

`getExpressions, getOperator, isNegated, not`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### getExpression

    Expression<T> getExpression()

Return the expression to be tested against the list of values.

Returns:
  expression

#### value

    CriteriaBuilder.In<T> value(T value)

Add to list of values to be tested against.

Parameters:
  `value` - value
Returns:
  in predicate

#### value

    CriteriaBuilder.In<T> value(Expression<? extends T> value)

Add to list of values to be tested against.

Parameters:
  `value` - expression
Returns:
  in predicate